about summary refs log tree commit diff
path: root/profile/.profile.d/50_browser.sh
diff options
context:
space:
mode:
authorAzat Bahawi <azat@bahawi.net>1970-01-01 03:00:00 +0300
committerAzat Bahawi <azat@bahawi.net>2022-09-20 11:51:54 +0300
commit38bab29776950ac2364ed64195b89887717c33de (patch)
treeedaaf366a55dbe96d268019124536bc504c64e87 /profile/.profile.d/50_browser.sh
chore: init HEAD master
Diffstat (limited to 'profile/.profile.d/50_browser.sh')
-rw-r--r--profile/.profile.d/50_browser.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/profile/.profile.d/50_browser.sh b/profile/.profile.d/50_browser.sh
new file mode 100644
index 0000000..0a15ba1
--- /dev/null
+++ b/profile/.profile.d/50_browser.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+_browsers="
+qutebrowser
+chromium
+chromium-browser
+firefox
+lynx
+w3m
+elinks
+links
+"
+
+for _browser in ${_browsers}; do
+	# shellcheck disable=SC2139
+	if command -v "${_browser}" >/dev/null 2>&1; then
+		export BROWSER="${_browser}"
+
+		alias b="${BROWSER}"
+		if ! command -v br >/dev/null 2>&1; then
+			alias br="${BROWSER}"
+		fi
+
+		break
+	fi
+done
+
+unset _browser _browsers

Consider giving Nix/NixOS a try! <3